<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>AdminLTE 3 | Blank Page</title>

    <!-- Google Font: Source Sans Pro -->
    <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback"
    />
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css" />
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css" />
  </head>
  <body class="hold-transition sidebar-mini">
    <!-- Site wrapper -->
    <div class="wrapper">
      <!-- Navbar -->
      <nav class="main-header navbar navbar-expand navbar-white navbar-light">
        <!-- Left navbar links -->
        <ul class="navbar-nav">
          <li class="nav-item">
            <a class="nav-link" data-widget="pushmenu" href="#" role="button"
              ><i class="fas fa-bars"></i
            ></a>
          </li>
          <li class="nav-item d-none d-sm-inline-block">
            <a href="index3.html" class="nav-link">Home</a>
          </li>
          <li class="nav-item d-none d-sm-inline-block">
            <a href="#" class="nav-link">Contact</a>
          </li>
        </ul>
      </nav>
      <!-- /.navbar -->

      <!-- Main Sidebar Container -->
      <aside class="main-sidebar sidebar-dark-primary elevation-4">
        <!-- Brand Logo -->
        <a href="index3.html" class="brand-link">
          <img
            src="dist/img/AdminLTELogo.png"
            alt="AdminLTE Logo"
            class="brand-image img-circle elevation-3"
            style="opacity: 0.8"
          />
          <span class="brand-text font-weight-light">Devcamp 120</span>
        </a>

        <!-- Sidebar -->
        <div class="sidebar">
          <!-- Sidebar user (optional) -->
          <div class="user-panel mt-3 pb-3 mb-3 d-flex">
            <div class="image">
              <img
                src="dist/img/user2-160x160.jpg"
                class="img-circle elevation-2"
                alt="User Image"
              />
            </div>
            <div class="info">
              <a href="#" class="d-block">Đinh Nhật Toàn</a>
            </div>
          </div>

          <!-- SidebarSearch Form -->
          <div class="form-inline">
            <div class="input-group" data-widget="sidebar-search">
              <input
                class="form-control form-control-sidebar"
                type="search"
                placeholder="Search"
                aria-label="Search"
              />
              <div class="input-group-append">
                <button class="btn btn-sidebar">
                  <i class="fas fa-search fa-fw"></i>
                </button>
              </div>
            </div>
          </div>

          <!-- Sidebar Menu -->
          <nav class="mt-2">
            <ul
              class="nav nav-pills nav-sidebar flex-column"
              data-widget="treeview"
              role="menu"
              data-accordion="false"
            >
              <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
              <li class="nav-item menu-open">
                <a href="#" class="nav-link active">
                  <i class="nav-icon fas fa-tachometer-alt"></i>
                  <p>
                    Dashboard
                    <i class="right fas fa-angle-left"></i>
                  </p>
                </a>
                
                <li class="nav-item">
                  <a href="chapter.html" class="nav-link">
                    <i class="far fa-circle nav-icon"></i>
                    <p>Chapter</p>
                  </a>
                </li>
                <li class="nav-item">
                  <a href="article.html" class="nav-link active">
                    <i class="far fa-circle nav-icon"></i>
                    <p>Article</p>
                  </a>
                </li>
                
                  
                </ul>
              </li>
            </ul>
          </nav>
          <!-- /.sidebar-menu -->
        </div>
        <!-- /.sidebar -->
      </aside>

      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <div class="container-fluid">
            <div class="row mb-2">
              <div class="col-sm-6">
                <h1>Mid test</h1>
              </div>
              <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                  <li class="breadcrumb-item"><a href="#">Home</a></li>
                  <li class="breadcrumb-item active">User</li>
                </ol>
              </div>
            </div>
          </div>
          <!-- /.container-fluid -->
        </section>

        <!-- Main content -->
        <section class="content text-center">
          <div class="container-fluid">
            <div class="text-center mt-2 mb-2">
              <h2>Manage Article</h2>
            </div>
            <div class="row form-group">
              <button class="btn btn-success" id="add-infor-chapter">
                <i class="fa-regular fa-plus"></i> &nbsp;Add
              </button>
            </div>
          </div>
      
          <div class="container-fluid">
            <table
              class="table table-bordered table-striped table-hover"
              id="article-table"
            >
              <thead class="bg-dark text-white">
                <tr>
                  <th>No.</th>
                  <th>Article code</th>
                  <th>Article name</th>
                  <th>Article intro</th>
                  <th>Article page</th>
                  <th>Action</th>
                </tr>
              </thead>
            </table>
          </div>
          <!-- Vùng Modal -->
          <!-- Create article modal -->
          <div id="create-article-modal" class="modal fade" tabindex="-1">
            <div class="modal-dialog">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title" id="h5-modal-title">Create New Article</h5>
                  <button class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                  <form>
                    <div class="row form-group">
                      <div class="col-sm-4">
                        <label for="create-articleCode">Article code</label>
                      </div>
                      <div class="col-sm-8">
                        <input
                          type="text"
                          id="create-articleCode"
                          name="create-articleCode"
                          placeholder="..."
                          class="form-control"
                        />
                      </div>
                    </div>
                    <div class="row form-group">
                      <div class="col-sm-4">
                        <label for="create-articleName">Article name</label>
                      </div>
                      <div class="col-sm-8">
                        <input
                          type="text"
                          id="create-articleName"
                          name="create-articleName"
                          placeholder="..."
                          class="form-control"
                        />
                      </div>
                    </div>
                    <div class="row form-group">
                      <div class="col-sm-4">
                        <label for="create-articleIntro">Article intro</label>
                      </div>
                      <div class="col-sm-8">
                        <input
                          type="text"
                          id="create-articleIntro"
                          name="create-articleIntro"
                          placeholder="..."
                          class="form-control"
                        />
                      </div>
                    </div>
                    <div class="row form-group">
                      <div class="col-sm-4">
                        <label for="create-articlePage">Article page</label>
                      </div>
                      <div class="col-sm-8">
                        <input
                          type="number"
                          id="create-articlePage"
                          name="create-articlePage"
                          placeholder="..."
                          class="form-control"
                        />
                      </div>
                    </div>
                    <div class="row form-group">
                      <div class="col-sm-4">
                        <label for="selectChapter">Select chapter</label>
                      </div>
                      <div class="col-sm-8">
                        <select
                          id="create-chapterSelect"
                          name="chapter"
                          class="form-control"
                        >
                          <option value="0">Select chapter</option>
                        </select>
                      </div>
                    </div>
                  </form>
                </div>
                <div class="modal-footer">
                  <div class="row form-group">
                    <div class="col-sm-6">
                      <button class="btn btn-primary" id="btn-create-confirm">
                        Confirm
                      </button>
                    </div>
                    <div class="col-sm-6">
                      <button class="btn btn-danger" id="btn-create-close">
                        Close
                      </button>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
      
          <!-- update article modal -->
          <div id="update-article-modal" class="modal fade" tabindex="-1">
            <div class="modal-dialog">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title" id="h5-modal-title">Update Article</h5>
                  <button class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                  <form>
                    <div class="row form-group">
                      <div class="col-sm-4">
                        <label for="update-articleCode">Article code</label>
                      </div>
                      <div class="col-sm-8">
                        <input
                          type="text"
                          id="update-articleCode"
                          name="update-articleCode"
                          placeholder="..."
                          class="form-control"
                        />
                      </div>
                    </div>
                    <div class="row form-group">
                      <div class="col-sm-4">
                        <label for="update-articleName">Article name</label>
                      </div>
                      <div class="col-sm-8">
                        <input
                          type="text"
                          id="update-articleName"
                          name="update-articleName"
                          placeholder="..."
                          class="form-control"
                        />
                      </div>
                    </div>
                    <div class="row form-group">
                      <div class="col-sm-4">
                        <label for="update-articleIntro">Article intro</label>
                      </div>
                      <div class="col-sm-8">
                        <input
                          type="text"
                          id="update-articleIntro"
                          name="update-articleIntro"
                          placeholder="..."
                          class="form-control"
                        />
                      </div>
                    </div>
                    <div class="row form-group">
                      <div class="col-sm-4">
                        <label for="update-articlePage">Article page</label>
                      </div>
                      <div class="col-sm-8">
                        <input
                          type="number"
                          id="update-articlePage"
                          name="update-articlePage"
                          placeholder="..."
                          class="form-control"
                        />
                      </div>
                    </div>
                    <div class="row form-group">
                      <div class="col-sm-4">
                        <label for="update-chapterSelected">Chapter Selected</label>
                      </div>
                      <div class="col-sm-8">
                        <select
                          id="update-chapterSelected"
                          name="chapter"
                          class="form-control"
                        >
                          <option value="0">Select chapter</option>
                        </select>
                      </div>
                    </div>
                  </form>
                </div>
                <div class="modal-footer">
                  <div class="row form-group">
                    <div class="col-sm-6">
                      <button class="btn btn-primary" id="btn-update-confirm">
                        Confirm
                      </button>
                    </div>
                  </div>
                  <div class="row form-group">
                    <button
                      class="btn btn-secondary"
                      id="btn-close"
                      data-dismiss="modal"
                    >
                      Close
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </div>
      
          <!-- delete article modal -->
          <div id="delete-article-modal" class="modal fade" tabindex="-1">
            <div class="modal-dialog">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title" id="h5-modal-title">
                    Delete Information Article
                  </h5>
                  <button class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                  <p>Do you sure delete information article?</p>
                </div>
                <div class="modal-footer">
                  <div class="row form-group">
                    <div class="col-sm-6">
                      <button class="btn btn-primary" id="btn-delete-confirm">
                        Confirm
                      </button>
                    </div>
                    <div class="col-sm-6">
                      <button class="btn btn-danger" id="btn-delete-cancel">
                        Cancel
                      </button>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>          
        </section>
        <!-- /.content -->
      </div>
      <!-- /.content-wrapper -->

      <footer class="main-footer">
        <div class="float-right d-none d-sm-block"><b>Version</b> 1.0.0</div>
        <strong
          >Copyright &copy; 2023
          <a href="https://adminlte.io">Devcamp 120</a>.</strong
        >
        All rights reserved.
      </footer>
      <!-- /.control-sidebar -->
    </div>
    <!-- ./wrapper -->

    <!-- jQuery -->
    <script src="plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap 4 -->
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- AdminLTE App -->
    <script src="dist/js/adminlte.min.js"></script>

    <!-- Import them style bootstrap cho datatable -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>

    <!-- Import awesome-->
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.3.0/css/all.min.css"
    />

    <!-- Script of article -->
    <script src="dist/js/articleScript.js"></script>

  </body>
</html>
